New taglib v1.10

Myriam Schweingruber myriam at kde.org
Sat Apr 16 16:46:10 UTC 2016


On Sat, Apr 16, 2016 at 5:08 PM, Michael Palimaka <kensington at gentoo.org> wrote:
> On 16/04/16 20:26, Myriam Schweingruber wrote:
>> Hi all,
>>
>> On Fri, Apr 15, 2016 at 9:46 AM, Michael Palimaka <kensington at gentoo.org> wrote:
>>>
>>> A few cmake-based revdeps fail to build against it because they do a
>>> string comparison on the version (STRLESS vs VERSION_LESS) so 1.10
>>> appears too old, but it's an easy fix.
>>
>> Strange, as that particular comparison is in the
>> FindTaglib-Extras.cmake only, so it should not cause problems with
>> taglib itself.
>
> Right, there's no problem with taglib itself. It's just a heads up that
> some revdeps have faulty version detection logic and fail to find 1.10.

Does that mean that these lines in FindTaglib.cmake are causing a
problem to find version 1.10?

if(NOT TAGLIB_MIN_VERSION)
  set(TAGLIB_MIN_VERSION "1.6")
endif(NOT TAGLIB_MIN_VERSION)


Regards, Myriam
-- 
Proud member of the Amarok and KDE Community
Protect your freedom and join the Fellowship of FSFE:
http://www.fsfe.org
Please don't send me proprietary file formats,
use ISO standard ODF instead (ISO/IEC 26300)



More information about the kubuntu-devel mailing list